Index: branches/2.5/prototype/modules/calendar/js/init.js
===================================================================
--- branches/2.5/prototype/modules/calendar/js/init.js	(revision 8054)
+++ branches/2.5/prototype/modules/calendar/js/init.js	(revision 8232)
@@ -317,5 +317,5 @@
 		axisFormat: User.preferences.hourFormat,
 		eventSources: Calendar.sources,
-
+		
 		header: {
 			left: 'prev,next today,agendaWeek,' + ((User.preferences.defaultCalView == "basicDay") ? "basicDay" : "agendaDay"),
@@ -353,26 +353,44 @@
 		},
 
-
         eventRender: function( event, element, view ){
 		    $('#calendar td.fc-year-have-event').removeClass('fc-year-have-event');
 
 			var img_icon = "";
- 
-            if( !!parseInt(event.unanswered)  ){ 
- 
-                img_icon = "mini-attention.png"; 
- 
-            }else{ 
- 
-			if(event.type == 1)
-				img_icon = "mini-event.png";
-			if(event.type == 2)
-				img_icon = "mini-task.png";
-			if(event.type == 3)
-				img_icon = "mini-activity.png";
-
-	}
-		
-    	    element.find(".fc-event-inner.fc-event-skin").prepend($('<img style="width: 11px; height: 13px;" class="" src="../prototype/modules/calendar/img/' + img_icon + '"></img>'));
+			var status_ball = ""; //nome da imagem a ser inserida
+			var status_img = "";
+
+            if( !!parseInt(event.unanswered) && event.type == 1 ){
+
+                img_icon = "mini-attention.png";
+
+            }else{
+
+                if(event.type == 1)
+                    img_icon = "mini-event.png";
+                if(event.type == 2)
+                    img_icon = "mini-task.png";
+                if(event.type == 3)
+                    img_icon = "mini-activity.png";
+
+                //se for diferente de evento(type 1).
+                if(event.type != 1){
+                    if(event.status == "1"){
+                        status_ball = "gray.png";
+                    }else if(event.status == "2"){
+                        status_ball = "yellow.png";
+                    }else if(event.status == "3"){
+                        status_ball = "green.png";
+                    }else if(event.status == "4"){
+                        status_ball = "red.png";
+                    }
+
+                    status_img = '<img style="width: 8px; height: 8px; margin-bottom: 2px;" src="../prototype/modules/calendar/img/' + status_ball + '"></img>';
+                }
+
+            }
+
+
+			//html que exibe a imagem do type e do status
+    	    element.find(".fc-event-inner.fc-event-skin").prepend($('<img style="width: 11px; height: 13px;" class="" src="../prototype/modules/calendar/img/' + img_icon + '"></img>' + status_img));
 		},
 
@@ -477,12 +495,12 @@
                                 'type':     'question',
                                 'overlay_opacity': '0.5',
-                                'custom_class':  'occurrence-zebra', 
+                                'custom_class':  'occurrence-zebra',
                                 'width': 427,
                                 'buttons':  ['Editar todas ocorrências', 'Editar essa ocorrência', 'Cancelar'],
                                 'onClose':  function(clicked) {
                                     if(clicked == 'Editar todas ocorrências') {
-                                        var schedule = getSchedulable(evt.id, ''); 
-                                        schedule.calendar = evt.calendar; 
-                                        eventDetails( schedule , true); 
+                                        var schedule = getSchedulable(evt.id, '');
+                                        schedule.calendar = evt.calendar;
+                                        eventDetails( schedule , true);
 
                                     }else if (clicked == 'Editar essa ocorrência'){
@@ -493,5 +511,5 @@
                                         */      
                                         var repeat = mount_exception(evt.id, evt.occurrence);
-                                                                                          
+
                                         $('.calendar-copy-move input[name="typeEvent"]').val("3");
                                         
@@ -513,4 +531,5 @@
                     break;
                 case 3:
+					DataLayer.remove('taskToActivity', false);//Limpa o cache
                     var activity = getSchedulable(evt.id, '');
                     activity.group = evt.calendar;
@@ -565,6 +584,6 @@
 
     if( $.browser.msie ){
-
-        $('#divAppbox').css('width', $(window).width());
+        //$('#divAppbox').css('width', $(window).width());
+    	$('#divAppbox').css({'height':'600px','max-width':'100%'});
     }
 
Index: branches/2.5/prototype/api/datalayer.js
===================================================================
--- branches/2.5/prototype/api/datalayer.js	(revision 6444)
+++ branches/2.5/prototype/api/datalayer.js	(revision 8232)
@@ -657,4 +657,8 @@
 
 	}
+
+     if( typeof DataLayer.storage.cache[':diff'] != 'object')
+         DataLayer.storage.cache[':diff'] = {};
+
     },
     
Index: branches/2.5/prototype/rest/catalog/SharedGroupResource.php
===================================================================
--- branches/2.5/prototype/rest/catalog/SharedGroupResource.php	(revision 6578)
+++ branches/2.5/prototype/rest/catalog/SharedGroupResource.php	(revision 8232)
@@ -85,6 +85,5 @@
 
 	    //Recupera os grupos do usuario
-	    $groups = Controller::find(array('concept' => 'contactGroup'), false, array('filter' => array('=', 'user', $ownerId), 'order' => array('name')));
-
+        $groups = Controller::find(array('concept' => 'contactGroup'), false, array('filter' => array('=','id', $id), 'AND' => array('=','user', $ownerId) , 'order' => array('name')));
 	    if($groups){
                 foreach($groups[0]['contacts'] as $value){
Index: branches/2.5/calendar/setup/tables_update.inc.php
===================================================================
--- branches/2.5/calendar/setup/tables_update.inc.php	(revision 7516)
+++ branches/2.5/calendar/setup/tables_update.inc.php	(revision 8232)
@@ -154,4 +154,10 @@
         	return $GLOBALS['setup_info']['calendar']['currentver'];
     	}
+  	$test[] = '2.5.0';
+        function calendar_upgrade2_5_0()
+        {
+                $GLOBALS['setup_info']['calendar']['currentver'] = '2.5.1';
+                return $GLOBALS['setup_info']['calendar']['currentver'];
+        }
 
 
Index: branches/2.5/calendar/setup/setup.inc.php
===================================================================
--- branches/2.5/calendar/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/calendar/setup/setup.inc.php	(revision 8232)
@@ -12,5 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['version'] = '2.5.0';
+	$setup_info['calendar']['version'] = '2.5.1';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
@@ -52,4 +52,4 @@
 	$setup_info['calendar']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.5.0')
+		 'versions' => Array('2.5.1.0')
 	);
Index: branches/2.5/workflow/setup/tables_update.inc.php
===================================================================
--- branches/2.5/workflow/setup/tables_update.inc.php	(revision 7516)
+++ branches/2.5/workflow/setup/tables_update.inc.php	(revision 8232)
@@ -360,10 +360,18 @@
         return $GLOBALS['setup_info']['workflow']['currentver'];
     }
-	$test[] = '2.4.2';
-    	function workflow_upgrade2_4_2()
-    	{
-        	$GLOBALS['setup_info']['workflow']['currentver'] = '2.5.0';
-        	return $GLOBALS['setup_info']['workflow']['currentver'];
-    	}
+
+    $test[] = '2.4.2';
+    function workflow_upgrade2_4_2()
+    {
+        $GLOBALS['setup_info']['workflow']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['workflow']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function workflow_upgrade2_5_0()
+    {
+        $GLOBALS['setup_info']['workflow']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['workflow']['currentver'];
+    }
 
 
Index: branches/2.5/workflow/setup/setup.inc.php
===================================================================
--- branches/2.5/workflow/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/workflow/setup/setup.inc.php	(revision 8232)
@@ -13,5 +13,5 @@
 	$setup_info['workflow']['name']			= 'workflow';
 	$setup_info['workflow']['title']		= 'Workflow Management';
-	$setup_info['workflow']['version']		= '2.5.0';
+	$setup_info['workflow']['version']		= '2.5.1';
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
@@ -59,9 +59,9 @@
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('1.2', '2.0', '2.2', '2.4', '2.5')
+		'versions' => Array('2.5.1.1')
 	);
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'preferences',
-		'versions' => Array('0.9.13.002', '2.0', '2.2', '2.5.0')
+		'versions' => Array('2.5.1')
 	);
 ?>
Index: branches/2.5/workflow/inc/local/classes/class.wf_instance.php
===================================================================
--- branches/2.5/workflow/inc/local/classes/class.wf_instance.php	(revision 5928)
+++ branches/2.5/workflow/inc/local/classes/class.wf_instance.php	(revision 8232)
@@ -443,4 +443,22 @@
 
 	/**
+	* Busca uma instância pelo id
+	* @param int $wf_instance_id O id da instância
+	* @return array As instâncias que satisfazem o critério de seleção.
+	* @access public
+	*/
+	public function getById($wf_instance_id)
+	{
+		/* build the SQL query */
+		$query = 'SELECT i.wf_instance_id AS wf_instance_id, ia.wf_activity_id AS wf_activity_id, ia.wf_started AS wf_started, i.wf_name AS wf_name, i.wf_status AS wf_status, ia.wf_user AS wf_user, i.wf_priority AS wf_priority ';
+		$query .= 'FROM egw_wf_instances i LEFT JOIN egw_wf_instance_activities ia ON (ia.wf_instance_id = i.wf_instance_id)';
+		$query .= 'WHERE (i.wf_p_id = ?) AND i.wf_instance_id = ?';
+
+		$resultSet = $this->db->query($query, array($this->processID, intval($wf_instance_id)));
+		
+		return $resultSet->GetArray();
+	}
+
+	/**
 	* Busca todas as instâncias que possuem esse nome (identificador).
 	* @param string $name O nome da instância que se quer encontrar.
@@ -456,4 +474,22 @@
 
 		$resultSet = $this->db->query($query, array($this->processID, $name));
+		return $resultSet->GetArray();
+	}
+
+	/**
+	* Busca todas as instâncias que possuem um trecho do nome (identificador).
+	* @param string $name O trecho do nome da instância que se quer encontrar.
+	* @return array As instâncias que satisfazem o critério de seleção.
+	* @access public
+	*/
+	public function getLikeName($name)
+	{
+		/* build the SQL query */
+		$query = 'SELECT i.wf_instance_id AS wf_instance_id, ia.wf_activity_id AS wf_activity_id, ia.wf_started AS wf_started, i.wf_name AS wf_name, i.wf_status AS wf_status, ia.wf_user AS wf_user, i.wf_priority AS wf_priority ';
+		$query .= 'FROM egw_wf_instances i LEFT JOIN egw_wf_instance_activities ia ON (ia.wf_instance_id = i.wf_instance_id)';
+		$query .= "WHERE (i.wf_p_id = ?) AND i.wf_name ILIKE '%$name%'";
+
+		$resultSet = $this->db->query($query, array($this->processID));
+
 		return $resultSet->GetArray();
 	}
@@ -584,4 +620,29 @@
 		return $this->setUser($instanceID, $activityID, 'p' . $roleID);
 	}
+
+	/**
+	* Altera o wf_name das instâncias, fazendo o replace no nome da categoria de serviço. 
+	* Método chamado quando é alterada a categoria de um serviço e existem ocorrências atrelados a esse serviço.
+	* @param int | array $instanceID se for um array, concatena os instances ids
+	* @param string @currentServiceName Nome da categoria de serviço atual
+	* @param string @newServiceName Nome da nova categoria de serviço
+	* @return resultSet em caso de sucesso ou false
+	* @access public 
+	*/
+	public function updateReplaceName($instanceID, $currentServiceName, $newServiceName)
+	{
+		$success = true;
+
+		// Se for array, faz implode concatenando os ids
+		if (is_array($instanceID))
+		{
+			$instanceID = implode(',', $instanceID);
+		}
+
+		$query = "UPDATE egw_wf_instances SET wf_name = REPLACE(wf_name, '" . $currentServiceName . "', '" . $newServiceName . "') WHERE wf_instance_id IN (" . $instanceID . ")";
+		$success = $this->db->execute($query);
+
+		return $success;
+	}
 }
 ?>
Index: branches/2.5/workflow/inc/smarty/wf_plugins/function.wf_select_user.php
===================================================================
--- branches/2.5/workflow/inc/smarty/wf_plugins/function.wf_select_user.php	(revision 4740)
+++ branches/2.5/workflow/inc/smarty/wf_plugins/function.wf_select_user.php	(revision 8232)
@@ -115,5 +115,5 @@
 
 	$output .= <<<EOF
-		<a alt="$title" title="$title" href="javascript:void(0)" onclick="openParticipants('$name', '$extraParams');"><img border="0" alt="" src="$image" /></a>
+		<a alt="$title" title="$title" href="javascript:void(0)" onclick="openParticipantsWindow('$name', '$extraParams');"><img border="0" alt="" src="$image" /></a>
 EOF;
 	return $output;
Index: branches/2.5/workflow/inc/class.Logger.inc.php
===================================================================
--- branches/2.5/workflow/inc/class.Logger.inc.php	(revision 3167)
+++ branches/2.5/workflow/inc/class.Logger.inc.php	(revision 8232)
@@ -29,4 +29,10 @@
 
 	/**
+	 * @var object $db Objeto de banco de dados do modulo workflow
+	 * @access private
+	 */
+	private $dbGalaxia = null;
+
+	/**
 	 * @var string $logPath Caminho onde será salvo o arquivo de log, caso o tipo de log Log_file seja adicionado à composição
 	 * @access private
@@ -81,6 +87,8 @@
 
 		$this->db =& Factory::getInstance('WorkflowObjects')->getDBExpresso()->Link_ID;
+		$this->dbGalaxia =& Factory::getInstance('WorkflowObjects')->getDBGalaxia()->Link_ID;
 
 		if(!empty($curProcessName)){
+
 			$query = '
 				SELECT
@@ -89,5 +97,5 @@
 					egw_wf_processes';
 
-			if(!($result = $this->db->query($query)))
+			if(!($result = $this->dbGalaxia->query($query)))
 				throw new Exception(lang('Cannot execute query'));
 
@@ -131,5 +139,5 @@
 						wf_config_name like 'log_level'
 						";
-			$config_value = array_pop($this->db->query($query)->GetArray(-1));
+			$config_value = array_pop($this->dbGalaxia->query($query)->GetArray(-1));
 			$this->logLevel = $config_value['wf_config_value_int'];
 		} else {
Index: branches/2.5/workflow/js/jscode/participants.js
===================================================================
--- branches/2.5/workflow/js/jscode/participants.js	(revision 3729)
+++ branches/2.5/workflow/js/jscode/participants.js	(revision 8232)
@@ -364,5 +364,5 @@
 }
 
-function openParticipants(target, option)
+function openParticipantsWindow(target, option)
 {
 	newWidth   = 500;
Index: branches/2.5/workflow/js/orgchart/organization.js
===================================================================
--- branches/2.5/workflow/js/orgchart/organization.js	(revision 7379)
+++ branches/2.5/workflow/js/orgchart/organization.js	(revision 8232)
@@ -736,5 +736,5 @@
 	content += '<input type="hidden" name="funcionario_id" id="funcionario_id" value="" />';
 	content += '<input type="input" name="funcionario_id_desc" id="funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'funcionario_id\', \'uid=1&hidegroups=1\');" id="addEmployeeLink"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'funcionario_id\', \'uid=1&hidegroups=1\');" id="addEmployeeLink"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += '</td></tr>';
 	content += '<tr><td><label for="funcionario_status_id">Status</label></td><td id="comboStatus"><i>carregando</i></td></tr>';
@@ -801,5 +801,5 @@
 	content += '<input type="hidden" name="titular_funcionario_id" id="titular_funcionario_id" value="" />';
 	content += '<input type="input" name="titular_funcionario_id_desc" id="titular_funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'titular_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'titular_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += ' <a href="javascript:void(0)" onclick="$(\'titular_funcionario_id\').value=\'\'; $(\'titular_funcionario_id_desc\').value=\'\'; return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/delete_user.png" /></a>';
 	content += '</td></tr>';
@@ -807,5 +807,5 @@
 	content += '<input type="hidden" name="auxiliar_funcionario_id" id="auxiliar_funcionario_id" value="" />';
 	content += '<input type="input" name="auxiliar_funcionario_id_desc" id="auxiliar_funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'auxiliar_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'auxiliar_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += ' <a href="javascript:void(0)" onclick="$(\'auxiliar_funcionario_id\').value=\'\'; $(\'auxiliar_funcionario_id_desc\').value=\'\'; return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/delete_user.png" /></a>';
 	content += '</td></tr>';
@@ -882,5 +882,5 @@
 	content += '<input type="hidden" name="substituto_funcionario_id" id="substituto_funcionario_id" value="" />';
 	content += '<input type="input" name="substituto_funcionario_id_desc" id="substituto_funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'substituto_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'substituto_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += ' <a href="javascript:void(0)" onclick="$(\'substituto_funcionario_id\').value=\'\'; $(\'substituto_funcionario_id_desc\').value=\'\'; return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/delete_user.png" /></a>';
 	content += '</td></tr>';
Index: branches/2.5/workflow/js/adminaccess/control_folder.js
===================================================================
--- branches/2.5/workflow/js/adminaccess/control_folder.js	(revision 3255)
+++ branches/2.5/workflow/js/adminaccess/control_folder.js	(revision 8232)
@@ -416,5 +416,5 @@
 	bt.setAttribute('name','Selecionar');
 	bt.setAttribute('value','Selecionar');
-	bt.onclick = function() { openParticipants('sel_org_user', 'hidegroups=1'); };
+	bt.onclick = function() { openParticipantsWindow('sel_org_user', 'hidegroups=1'); };
 	td.appendChild(bt);
 
@@ -575,5 +575,5 @@
 	bt.setAttribute('name','Selecionar');
 	bt.setAttribute('value','Selecionar');
-	bt.onclick = function() { openParticipants('sel_proc_user', ''); };
+	bt.onclick = function() { openParticipantsWindow('sel_proc_user', ''); };
 	td.appendChild(bt);
 
@@ -726,5 +726,5 @@
 	bt.setAttribute('name','Selecionar');
 	bt.setAttribute('value','Selecionar');
-	bt.onclick = function() { openParticipants('sel_mon_user', ''); };
+	bt.onclick = function() { openParticipantsWindow('sel_mon_user', ''); };
 	td.appendChild(bt);
 
@@ -785,5 +785,5 @@
 	content += '<td align="right"><input type="button" name="Remover" value="Remover" onclick="deleteExternalApplicationAdmin();"/></td>';
 	content += '<td></td>';
-	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipants(\'sel_exa_user\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'sel_exa_user\');"/></td>';
+	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipantsWindow(\'sel_exa_user\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'sel_exa_user\');"/></td>';
 	content += '</tr>';
 	content += '<tr><td colspan="3"></td></tr>';
@@ -849,5 +849,5 @@
 	content += '<td align="right"><input type="button" name="Remover" value="Remover" onclick="deleteWorkflowAdministrators();"/></td>';
 	content += '<td></td>';
-	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipants(\'selectWorkflowUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectWorkflowUsers\');"/></td>';
+	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipantsWindow(\'selectWorkflowUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectWorkflowUsers\');"/></td>';
 	content += '</tr>';
 	content += '<tr><td colspan="3"></td></tr>';
@@ -901,5 +901,5 @@
 	content += '<td align="right"><input type="button" name="Remover" value="Remover" onclick="deleteDevelopmentAdministrators();"/></td>';
 	content += '<td></td>';
-	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipants(\'selectDevelopmentUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectDevelopmentUsers\');"/></td>';
+	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipantsWindow(\'selectDevelopmentUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectDevelopmentUsers\');"/></td>';
 	content += '</tr>';
 	content += '<tr><td colspan="3"></td></tr>';
Index: branches/2.5/workflow/js/monitors/processes.js
===================================================================
--- branches/2.5/workflow/js/monitors/processes.js	(revision 795)
+++ branches/2.5/workflow/js/monitors/processes.js	(revision 8232)
@@ -101,5 +101,5 @@
 				content += '<td><input type="hidden" name="newUser" id="newUser" value="" />';
 				content += '<input type="input" name="newUser_desc" id="newUser_desc" value="" readonly="true" size="32" />';
-				content += '<a href="javascript:void(0)" onclick="openParticipants(\'newUser\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png"/></a></td></tr>';
+				content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'newUser\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png"/></a></td></tr>';
 				content += '<tr><td colspan="2"><button onclick="clickLoadActivities(' + pid + ');return false;">Próximo >></button></td></tr></table>';
 				content += '</td>';
Index: branches/2.5/expressoMail1_2/index.php
===================================================================
--- branches/2.5/expressoMail1_2/index.php	(revision 7919)
+++ branches/2.5/expressoMail1_2/index.php	(revision 8232)
@@ -16,5 +16,5 @@
 		'enable_nextmatchs_class' => True
 	);
-	
+
 	require_once('../header.inc.php');
 	include_once dirname(__FILE__) . '/../header.inc.php';
@@ -25,8 +25,13 @@
 	$AlternateEmailExpresso = $alternativeMailService->getMailAlternateByUidNumber($_SESSION['phpgw_info']['expressomail']['user']['account_id']);
 	$template->set_var("user_email_alternative", implode(",", $AlternateEmailExpresso));	
+  	
+  	if (execmethod('emailadmin.ui.countProfiles') == 0){
+        execmethod('emailadmin.ui.addDefaultProfile');
+    }
 
 	$update_version = $GLOBALS['phpgw_info']['apps']['expressoMail1_2']['version'];
 	$_SESSION['phpgw_info']['expressomail']['user'] = $GLOBALS['phpgw_info']['user'];
 	echo "<script type='text/javascript'>var template = '".$_SESSION['phpgw_info']['expressoMail1_2']['user']['preferences']['common']['template_set']."';</script>";
+
 
 	//jquery and Editor 
@@ -74,5 +79,21 @@
 		  <script type="text/javascript" src="js/DropDownContacts.js"></script>
 		  ';
-	
+
+//
+//    include_once(__DIR__.'/inc/class.imap_functions.inc.php');
+//
+//    $param = array();
+//    $param['folder'] = 'INBOX';
+//    $param['msg_range_begin'] = '1';
+//    $param['msg_range_end'] = '50';
+//    $param['sort_box_type'] = 'SORTARRIVAL';
+//    $param['search_box_type'] = 'ALL';
+//    $param['sort_box_reverse'] = '1';
+//
+//    $imapf = new imap_functions();
+//    $initialMessages = $imapf->get_range_msgs2($param);
+//
+//    echo '<script type="text/javascript"> var initialMessages  = '.json_encode($initialMessages).'</script>';
+
 	/*
 	 * TODO: implementar o controle como preferência do usuário 
@@ -251,6 +272,6 @@
     }
 
-    echo '<script type="text/javascript"> var preferences  = '.json_encode($_SESSION['phpgw_info']['user']['preferences']['expressoMail']).'</script>'; 
- 
+    echo '<script type="text/javascript"> var preferences  = '.json_encode($_SESSION['phpgw_info']['user']['preferences']['expressoMail']).'</script>';
+
     echo '
 	<script> var special_folders = new Array(4);
@@ -334,5 +355,5 @@
 	//echo $obj -> getFilesJs("js/common_functions.js",$update_version);
 	include("inc/load_lang.php");
-    
+
     // INCLUDE these JS Files:
 	if ($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages']) 
@@ -349,6 +370,6 @@
 	echo "<script> use_local_messages = ".$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages']."</script>";		
 	if($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'])
-		$scripts .= "js/local_messages.js";	
-		
+		$scripts .= "js/local_messages.js";
+
 	echo '
 		<!--<script type="text/javascript" src="../prototype/modules/mail/js/followupflag.js"></script>-->
@@ -360,9 +381,26 @@
 	';
 
-	echo 
+//////////////////////////////////////////// Carregar Timezones para o javascript /////////////////////////////////////////
+
+    $zones = timezone_identifiers_list();
+    $Time = new DateTime('now', new DateTimeZone('UTC'));
+    $timezone = array();
+
+    foreach ($zones as $zone)
+    {
+        $timezone['timezones'][$zone] = $Time->setTimezone(new DateTimeZone($zone))->format('O');
+    }
+
+    $localtime = localtime(time(), true);
+    $timezone['isDaylightSaving'] =  !!$localtime['tm_isdst'] ? 1 : 0;
+
+    echo '<script type="text/javascript"> var Timezone  = '.json_encode($timezone).'</script>';
+
+////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
+
+	echo
 	    '<script src="../prototype/plugins/datejs/date-pt-BR.js" language="javascript" ></script>
-		<script src="../prototype/modules/calendar/js/timezone.js" language="javascript" ></script>
-                <script src="../prototype/plugins/dateFormat/dateFormat.js" language="javascript" ></script> 
-                <script src="../prototype/modules/calendar/js/calendar.date.js" language="javascript" ></script> 
+		<script src="../prototype/plugins/dateFormat/dateFormat.js" language="javascript" ></script>
+		<script src="../prototype/modules/calendar/js/calendar.date.js" language="javascript" ></script>
 		<script src="../prototype/modules/calendar/js/calendar.codecs.js" language="javascript" ></script>
 		<script src="../prototype/modules/calendar/js/calendar.alarms.js" language="javascript" ></script>
@@ -371,7 +409,31 @@
 	echo $obj -> getFilesJs($scripts, $update_version);
 	echo '<script type="text/javascript">connector.updateVersion = "'.$update_version.'";</script>';
-		
 	echo '<script type="text/javascript" src="assetic.php"></script>';
-	
+
+/////////   Verifica se o usuario esta fora do escritorio imprime a variavel javascript "outOfficeFlag" /////////////////////////////
+
+    include_once(__DIR__ .'/../library/Net/Sieve.php');
+    $sieveConf  =  parse_ini_file( __DIR__."/../prototype/config/Sieve.srv", true );
+    $sieveConf = $sieveConf['config'];
+    $sieve = new Net_Sieve();
+    $inVacation = false;
+    @$sieve->connect( $sieveConf['host'] , $sieveConf['port'] , $sieveConf['options'] , $sieveConf['useTLS'] );
+    @$sieve->login( $_SESSION['wallet']['Sieve']['user'], $_SESSION['wallet']['Sieve']['password'] , $sieveConf['loginType']);
+    $script = $sieve->getScript($sieve->getActive());
+    $pos = strripos($script, "#PseudoScript#");
+    $pseudo_script = substr( $script, $pos+17 );
+    $sieveRules = json_decode( $pseudo_script, true );
+    foreach( $sieveRules as $i => $v)
+        if($v['id'] == 'vacation' && $v['enabled'] == 'true')
+            $inVacation = true;
+
+    if($inVacation)
+        echo '<script language="javascript"> write_msg(get_lang("Attention, you are in out of office mode."), true);   </script>';
+
+//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
+
+
+
+
 
 	// Get Preferences or redirect to preferences page.
Index: branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 8117)
+++ branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 8232)
@@ -972,4 +972,8 @@
 MailArchiver user logged out	expressoMail1_2	pt-br	Usuário desconectado do MailArchiver
 Error trying to send the message. Retry in a few seconds...	expressoMail1_2	pt-br	Erro ao tentar enviar a mensagem. Nova tentativa em alguns segundos...
+Create filter from message	expressoMail1_2	pt-br	Criar filtro a partir da mensagem
 Sending the message...	expressoMail1_2	pt-br	Enviando a mensagem...
-Local Archive	expressoMail1_2	pt-br	Arquivamento Local
+Please, Wait the messages from archieve be ready.	expressoMail1_2	pt-br	Por favor, Aguarde as mensagens arquivadas ficarem prontas.
+take on this option to regard the message body in the search.	expressoMail1_2	pt-br	Considerar o corpo da mensagem como filtro na busca
+take off this option to disregard the message body in the search.	expressoMail1_2	pt-br	Desconsiderar o corpo da mensagem como filtro na busca
+Local Archive	expressoMail1_2	pt-br	Arquivamento Local 
Index: branches/2.5/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- branches/2.5/expressoMail1_2/setup/tables_update.inc.php	(revision 7516)
+++ branches/2.5/expressoMail1_2/setup/tables_update.inc.php	(revision 8232)
@@ -330,8 +330,13 @@
 
 	$test[] = '2.4.8.2';
-    	function expressoMail1_2_upgrade2_4_8_2() {
-        	$GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '2.5.0';
-        	return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
-    	}
-
+    function expressoMail1_2_upgrade2_4_8_2() {
+        $GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function expressoMail1_2_upgrade2_5_0() {
+        $GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
+    }
 ?>
